Box

Integrate your application with the Box API

🚀 Quickstart

Connect to Box with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Box. Tenklo doesn't provide a test OAuth app for Box yet. You'll need to set up your own by following these instructions. After that, make sure to add the OAuth client ID, secret, and scopes in the integration settings in Tenklo.

Authorize Box

Go to Connections -> Add Test Connection -> Authorize, then log in to Box. Later, you'll let your users do the same directly from your app.

Call the Box API

Let's make your first request to the Box API (fetch the profile of the currently signed-in user). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/2.0/users/me" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Box Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Box API docs

🧩 Pre-built syncs & actions for Box

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Files

Function nameDescriptionTypeSource code
filesSync the metadata of specified files or folder paths from Box. A file or folder ID can be provided.Sync🔗 Github

Users

Function nameDescriptionTypeSource code
usersFetches a list of users from Box. Requires an enterprise account.Sync🔗 Github

Others

Function nameDescriptionTypeSource code
copy-fileCopy a file to a different folder in Box.Action🔗 Github
copy-folderCopy a folder and its contents to a different location in Box.Action🔗 Github
create-collaborationCreate a collaboration in BoxAction🔗 Github
create-commentCreate a comment in Box.Action🔗 Github
create-folderCreate a folder in BoxAction🔗 Github
create-userCreates a user in Box. Requires an enterprise account.Action🔗 Github
delete-collaborationDelete or archive a collaboration in BoxAction🔗 Github
delete-commentDelete or archive a comment in BoxAction🔗 Github
delete-userDeletes a user in Box. Requires an enterprise account.Action🔗 Github
delete-fileDelete or archive a file in BoxAction🔗 Github
delete-folderDelete or archive a folder in BoxAction🔗 Github
download-fileDownload file content from BoxAction🔗 Github
folder-contentFetches the top-level content (files and folders) of a folder given its ID. If no folder ID is provided, it fetches content from the root folder.Action🔗 Github
get-collaborationRetrieve a single collaboration from Box.Action🔗 Github
get-commentRetrieve a single comment from BoxAction🔗 Github
get-fileRetrieve a single file from BoxAction🔗 Github
get-folderRetrieve a single folder from Box.Action🔗 Github
get-userRetrieve a single user from BoxAction🔗 Github
list-collaborationsList collaborations from Box. Retrieves pending collaboration invites for this user.Action🔗 Github
list-commentsList comments for a fileAction🔗 Github
list-filesList files from Box.Action🔗 Github
list-foldersList folders from BoxAction🔗 Github
searchSearch for files, folders, and other content in BoxAction🔗 Github
update-collaborationUpdate a collaboration in BoxAction🔗 Github
update-commentUpdate a comment in BoxAction🔗 Github
update-fileUpdate a file in Box. This can be used to rename or move a file.Action🔗 Github
update-folderUpdate a folder in Box.Action🔗 Github
update-userUpdate a user in BoxAction🔗 Github
collaborationsSync collaborations from BoxSync🔗 Github
foldersSync folders from BoxSync🔗 Github

On this page